PEGASUS-DASHBOARD(1)

NAME
pegasus-dashboard - Starts the Pegasus monitoring dashboard.

SYNOPSIS

pegasus-dashboard [--help|-h] [--host|-n] [--port|-p]
                 [--masterdburl|-m database url]

DESCRIPTION

pegasus-dashboard is a command-line utility to start the Pegasus monitoring dashboard. The dashboard allows users to monitor status of workflows using a browser. The workflow status information is retrieved from a STAMPEDE database. The STAMPEDE database is populated in a SQLite, or MySQL database as per your configuration, when a workflow is planned or run

OPTIONS

-h, --help
    Prints a usage summary with all the available command-line options.

-n, --host
    Only print the the output and error filenames instead of their contents.

-p, --port
    Get jobs' output and error filenames from the job’s submit file.

-m, --masterdburl
    The Pegasus dashboard uses a user specific master database, to identify which workflows have been run. By default this database is created in the .pegasus directory in the user’s home directory, when a workflow is planned. The -m option allows the user to specify a custom database.

Note: The dashboard can only track workflows, which are listed in the master database.

ENVIRONMENT VARIABLES

pegasus-dashboard does not require that any environmental variables be set. It locates its required Python modules based on its own location, and therefore should not be moved outside of Pegasus' bin directory.

EXAMPLE

    $ pegasus-dashboard
    $ pegasus-dashboard -n 127.0.0.1 -p 8080
    $ pegasus-dashboard -n localhost -p 80
    $ pegasus-dashboard -m sqlite:///lfs/scratch//workflow.db

SEE ALSO

pegasus-status(1), pegasus-statistics(1).

AUTHORS

Rajiv Mayani <mayani at isi dot edu>

Pegasus Team http://pegasus.isi.edu